PL/SQL Developer Browser Extender Command

[MAIN]
NAME=Show Indexes
CAPTION=Show all Indexes
OTYPE=Table
OOWNER=%
ONAME=%
SEPARATOR_ABOVE=N
SEPARATOR_BELOW=N
LOAD_AND_EXECUTE=Y
LOAD_COMMAND=Y
LOAD_AFTER=REPLACE
LOAD_WIN_TYPE=6
PRIVILEGE_REQ=N
PRIVILEGE=
ORACLE_VERSION_REQ=N
ORACLE_VERSION=7.0.0
ONCLICK_CONFIRM=N
ONCLICK_CONFIRM_MSG=
ONCLICK_SPLASH=N
ONCLICK_SPLASH_MSG=
ONCLICK_SPLASH_MSG_BL=N
ONCLICK_SPLASH_MSG_AFTER=
ONCLICK_SPLASH_DELAY=0
ONCLICK_IGNORE_EXCEPTIONS=N
ONPOPUP_IGNORE_EXCEPTIONS=Y

[ONCLICK]
select i.index_name, i.index_type, i.table_name, i.table_type, i.uniqueness, i.status 
from all_indexes i
where i.owner like '#oowner'
and i.table_owner like '#oowner'
and i.table_name like '#oname'
and i.uniqueness like &<name="Uniqueness"
                        hint="The uniqueness of the index (wildcards allowed)"
                        type="string"
                        default="%"
                        ifempty="%"
                        list="%, %, UNIQUE, Unique, NONUNIQUE, ""Non-Unique"""
                        description="yes">
and i.status like &<name="Status"
                        hint="The status of the index (wildcards allowed)"
                        type="string"
                        default="%"
                        ifempty="%"
                        list="%, %, VALID, Valid, INVALID, Invalid"
                        description="yes">
order by i.owner, i.index_name

[ONPOPUP]
