PL/SQL Developer Browser Extender Command

[MAIN]
NAME=LastAnalyzed
CAPTION=LA:#field_0
OTYPE=Index,Table,User
OOWNER=%
ONAME=%
SEPARATOR_ABOVE=N
SEPARATOR_BELOW=N
LOAD_AND_EXECUTE=N
LOAD_COMMAND=N
LOAD_AFTER=REPLACE
LOAD_WIN_TYPE=1
PRIVILEGE_REQ=Y
PRIVILEGE="ANALYZE ANY"
ORACLE_VERSION_REQ=N
ORACLE_VERSION=7.1.0
ONCLICK_CONFIRM=N
ONCLICK_CONFIRM_MSG=
ONCLICK_SPLASH=Y
ONCLICK_SPLASH_MSG=Analyzing #otype #object...
ONCLICK_SPLASH_MSG_BL=Y
ONCLICK_SPLASH_MSG_AFTER=Done.
ONCLICK_SPLASH_DELAY=0
ONCLICK_IGNORE_EXCEPTIONS=N
ONPOPUP_IGNORE_EXCEPTIONS=N

[ONCLICK]
analyze #otype #object estimate statistics

[ONPOPUP]
SELECT NVL(TO_CHAR(last_analyzed, 'FMDD Month YYYYFM(HH24:MI:SS)'), '=(') field_0
FROM   all_tables all_tbl
WHERE  all_tbl.owner = '#oowner' AND all_tbl.table_name = '#oname' AND '#otype' = 'TABLE'
UNION
SELECT NVL(TO_CHAR(last_analyzed, 'FMDD Month YYYYFM(HH24:MI:SS)'), '=(') field_0
FROM   all_indexes all_idx
WHERE  all_idx.owner = '#oowner' AND all_idx.index_name = '#oname' AND '#otype' = 'INDEX'
UNION
SELECT NVL(TO_CHAR(MAX(last_analyzed), 'FMDD Month YYYYFM(HH24:MI:SS)'), '=(') field_0
FROM   all_tables all_tbl
WHERE  all_tbl.owner = '#oowner' AND '#otype' = 'USER'
